Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

Where to download UnitySetup-Metro-Support-for-Editor-2017.2.0p1-MRTP4.exe

Discussion in 'Windows Mixed Reality' started by ezrapang, Nov 9, 2017.

  1. ezrapang

    ezrapang

    Joined:
    Nov 9, 2017
    Posts:
    5
  2. LawrenceBarbarian

    LawrenceBarbarian

    Joined:
    Nov 6, 2017
    Posts:
    2
    Same boat - though I am trying to resolve other issues with Hololense development.
    Go to the URL below and download the UnityDownloadAssistant.exe and then run it. (select all the options).

    It will auto-find your existing install of Unity2017.2.0p1-MRTP4 and update accordingly. There is also a link to download the install for Unity2017.2.0p1-MRTP4 at the URL below.

    Once done you'll have the Universal Windows Platform option when you open up File > Build Settings.

    http://beta.unity3d.com/download/b1565bfe4a0c/download.html
     

    Attached Files:

  3. Unity_Wesley

    Unity_Wesley

    Unity Technologies

    Joined:
    Sep 17, 2015
    Posts:
    557
  4. LawrenceBarbarian

    LawrenceBarbarian

    Joined:
    Nov 6, 2017
    Posts:
    2
    Yep.

    Assuming you have 2017.2.0p1-MRTP4 installed (That's the version you'll install if you use the Windows64/EditorInstaller/UnitySetup64.exe link at the beta URL I posted).

    Then download and run the UnityDownLoadAsstant.exe (again from the beta link I posted) and it will install everything you need into Unity 2017.2.0p1-MRTP4 (that should already be installed).

    Hope that helps
    -lt
     
  5. ezrapang

    ezrapang

    Joined:
    Nov 9, 2017
    Posts:
    5
    Thanks for the great help. It works. However, for my case, the "Unity C# Projects" option is being grey out.

    grey-off.JPG

    Any idea what causes that to happen?
     
  6. oliran

    oliran

    Joined:
    Sep 29, 2015
    Posts:
    35
    I think you need to go to Player Settings and under "Other Settings" change Scripting Backend to .NET to be able to use the C# files.
     
  7. pfreese

    pfreese

    Unity Technologies

    Joined:
    Feb 23, 2015
    Posts:
    85
    It should work properly if you enable Metro support when you do the initial install using the download assistant. As others have pointed out, you can rerun the assistant to download components you missed with the initial install.
     
  8. juanzhao5

    juanzhao5

    Joined:
    Nov 15, 2017
    Posts:
    7
    I have the Hololens and the Samsung Mixed Reality Headset. It's my newbie understanding that I need 2 different Unity versions to work with each?

    "Unity 2017.1.2f1 for building the HoloLens app
    Unity 2017.2.0f3-MRTP3 for building the Mixed Reality app"

    And that for a long time 2 versions of the Holotoolkit ( now called Mixed reality toolkit ) were needed
    The Mixed Reality Toolkit master branch for Hololens
    The Mixed Reality Toolkit Dev_Unity_2017.2.0 branch for MR Headset

    The 2017.2.0f3-MRTP3 reference was from a blog post early this november.
    now i see here a post from early November talking about 2017.2.0p1-MRTP4

    But which one is the latest and greatest?!
    2017.2.0f3-MRTP3 sounds newer than 2017.2.0p1-MRTP4 if you look at the F3 since i heard somewhere F3 stands for final. But then i heard somewhere else that the MRTP part stands for branch of unity strictly for Mixed Reality Apps ( not Hololens ) and so MRTP4 sounds newer than MRTP3.
     
    Last edited: Nov 16, 2017
  9. Pithos

    Pithos

    Joined:
    Mar 31, 2015
    Posts:
    8
    As for the letters Unity uses:

    In order, I've seen:
    a - alpha
    b - beta
    f - final (used for release candidates one of which becomes the "real" version)
    p - patch (patches released after the final version)

    So 2017.2.0f3-MRTP3 is MRTP #3 based on 2017.2.0f3. 2017.2.0p1-MRTP4 is MRTP #4 based on the (newer) 2017.2.0p1.
     
    juanzhao5 likes this.
  10. juanzhao5

    juanzhao5

    Joined:
    Nov 15, 2017
    Posts:
    7
    Thanks Pithos. So let me guess this straight.... I can use the same Mixed Reality Toolkit "HoloToolkit-Unity-v1.2017.2.0.unitypackage" found at https://github.com/Microsoft/MixedR....0/HoloToolkit-Unity-v1.2017.2.0.unitypackage

    Otherwise known as "The Master Branch"
    in both editors.

    But i still have to use two editors to address the Hololens vs MR Headset?
    And im fine using the latest visual studio 15.4.4 for both development streams?
     
  11. ezrapang

    ezrapang

    Joined:
    Nov 9, 2017
    Posts:
    5
    Yes. The option "Unity C# Projects" is now enabled. Thanks.
     
  12. juanzhao5

    juanzhao5

    Joined:
    Nov 15, 2017
    Posts:
    7

    Attached Files:

  13. ezrapang

    ezrapang

    Joined:
    Nov 9, 2017
    Posts:
    5
    Yes. I have already rerun the download assistant and installed the missing components. Thanks.
     
  14. juanzhao5

    juanzhao5

    Joined:
    Nov 15, 2017
    Posts:
    7
    ok thanks exrapang.. im going to nuke my C:\Program Files\Unity_2017.1.2f1 folder and rerun the download assistant for Unity_2017.1.2f1

    fyi im not seeing "Enable Metro Support" .. screeenshot attached. Here goes....
     

    Attached Files:

  15. ezrapang

    ezrapang

    Joined:
    Nov 9, 2017
    Posts:
    5
    I just rerun the download assistant and installed the two missing components.
    installed_missing.JPG
     
  16. juanzhao5

    juanzhao5

    Joined:
    Nov 15, 2017
    Posts:
    7
    ok it works! thanks.
     
    shalanore likes this.
  17. problim

    problim

    Joined:
    Nov 17, 2017
    Posts:
    1
    I have the Odyssey and HoloLens as well. And I am just about to start the same setup journey.
    Were you able to get the Unity player to work with the MR Portal simulator?
     
  18. NainBreton

    NainBreton

    Joined:
    Dec 5, 2018
    Posts:
    1
    hello I have a problem when I create the build in my unity 5.6 throws me 400 errors about the target that are not found and can not run certain libraries and methods, below I attach an image, I do not know if they could explain how to solve that since these errors only gives me in a project with others created in the same version does not happen to me the same. I'm sorry if the post is a bit ugly but I do not know English xD

    upload_2019-4-2_12-30-42.png

    the other lines of error are referring to the fact that certain methods can not be executed, such as the getBufer among others, marking the target as the starting point.